GNU bug report logs - #58396
29.0.50; Optimization failure for add-to-list

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: German Pacenza <germanp82@HIDDEN>; merged with #58148, #58557; dated Sun, 9 Oct 2022 16:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 58148 58396 58557. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 12 Oct 2022 10:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 12 06:54:52 2022
Received: from localhost ([127.0.0.1]:55830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oiZNz-0007uR-OQ
	for submit <at> debbugs.gnu.org; Wed, 12 Oct 2022 06:54:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oiZNu-0007u8-Qc
 for 58396 <at> debbugs.gnu.org; Wed, 12 Oct 2022 06:54:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=LGWmVoSLtljM5TZhT6j/Z4KH1E/vrODLVhwo2rRJ0+M=; b=d4h2S4DJgUp7w4s84rMgI0thvx
 Vk3hI8DMeO3K+aMH350c+FkkXobnONaqa8XsCqoEuWw9zdvhdhzEPfEDx8wxmBlun5+HjBk6Fg7EK
 4qRhYsHkTnkwId/WMgp1nK+X+03GqHaHtdHEn6okYBJZpaVtveXRX6o6undtrU4coBrc=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oiZNl-0005vh-6Y; Wed, 12 Oct 2022 12:54:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <jwva662mazh.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 11 Oct 2022 15:13:25 -0400")
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
 <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN> <87a663kxtz.fsf@HIDDEN>
 <jwvfsfvvxfq.fsf-monnier+emacs@HIDDEN> <87czaygqqp.fsf@HIDDEN>
 <jwva662mazh.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUNCA1fJiiwTTao
 oaWnFRj////jzfNNAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YKDAo2AmYqgKkAAAGqSURBVDjLdZOB
 kYQgDEXDugUQpQAEChDTwOHSf02XAArs3DGz48rz/wSSAPy3FCLqdYeNnzNx+6pPBy+3n/oLLAKU
 s6wbrU6PG/ljoUg0ghdR3Pi3EBWgnlCajsXb44XWrryfc04NRCCwq9IWI0CWVa0iLYRUli6CnH9K
 cOeUA+dWt3FSpoA57fJV/geYGuEByrRUngCDgYC3/MHJIGTbnNK0f3FAyXXNV/qKKO/mukLIXyny
 91osQ8+1CjSsbudn/gLINxAy17LcbakLllSQKxjyTrCJgPRzCCynDH6XPdUBm6A8LqKDt1RP6sek
 Cpz4YwepXmummOZjmAZcb5TiHdp+Ijt0Yhek5GNXDADT0KaiSBXw9tCLio+ONzDGTsA8CjNI+NB3
 7HkSJjA2Dnu9bzA1FFfubwCYWgMmmNdbYzsh4hRecZimkUa6zl3foF2luF1SLKqoDPStYE8eiZ0d
 +cXzCBrTCcficbxOAfSuRc+sDXmTOf24/KGDUGv5mktsgt7IEXgBkY57/rhaUCbbUwW9L6CMKnx8
 AfGeLAQJfXJwURD1WpfhPukXYUCDQOw/chYAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMTAtMTJU
 MTA6NTQ6MDIrMDA6MDA1gYZzAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTEwLTEyVDEwOjU0OjAy
 KzAwOjAwRNw+zwAAAABJRU5ErkJggg==
X-Now-Playing: Fad Gadget's _Incontinent_: "Plain Clothes"
Date: Wed, 12 Oct 2022 12:54:36 +0200
Message-ID: <87fsfte2hf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: > Yes (plus
    silence the messages plus avoid compiler macros). Any chance that... someone...
    will do that? 😇 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>, 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> Yes (plus silence the messages plus avoid compiler macros).

Any chance that...  someone...  will do that?  =F0=9F=98=87




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 11 Oct 2022 19:13:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 11 15:13:49 2022
Received: from localhost ([127.0.0.1]:54850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oiKhJ-00065B-Ge
	for submit <at> debbugs.gnu.org; Tue, 11 Oct 2022 15:13:49 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:63079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oiKhG-00064v-E1
 for 58396 <at> debbugs.gnu.org; Tue, 11 Oct 2022 15:13:48 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 69BED80148;
 Tue, 11 Oct 2022 15:13:40 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 933128027D;
 Tue, 11 Oct 2022 15:13:34 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1665515614;
 bh=Rq6kCe8E/u51lybB+kcpK+XXQJyPapuo+yVUugYEKHA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=pv1d+LcpSrOX4OV/0o9Kr0UFtJOIuH4hcPRrfnPobRLWCaDMWZ35VjjwpFYN11IWQ
 DQCPz9tdgvt/bl4zPLr9q9yUBdj+/sFlhsDz00wCGSC5mTKFXqzXgnN0nzLD2kTWOc
 DwwFSE5hq0jBdYeYDJ8gP6xlCStE4O+Jw/p3LzGwL6mwN411VepfQGB/v4ujX4FnCK
 N/jA3fKTLo3hloIhRPsTE13rQvdNok3w0z/Lm3xbtE9dDZyfZGTex3S+NB7LIqIWfJ
 1abAxw0MNvkt3mZPSDyFrfz0WkDz2XdzETIXE+HWMSs7zlyNZDNnFDCl5KG5DEqMJf
 FVIJcCvGt4XLg==
Received: from lechazo (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 7D2F0120DA7;
 Tue, 11 Oct 2022 15:13:34 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <87czaygqqp.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 11 Oct 2022 20:27:42 +0200")
Message-ID: <jwva662mazh.fsf-monnier+emacs@HIDDEN>
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
 <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN> <87a663kxtz.fsf@HIDDEN>
 <jwvfsfvvxfq.fsf-monnier+emacs@HIDDEN> <87czaygqqp.fsf@HIDDEN>
Date: Tue, 11 Oct 2022 15:13:25 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.179 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>, 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2022-10-11 20:27:42] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> Because that's the sort of error you can get if you try to macro-expand
>> code that's syntactically invalid.  E.g. try to compile a file with
>>
>>     (add-to-list x)
>>
>> and you should see a similar error.  For `elisp--local-variables`,
>> syntactically invalid code is the normal case (more or less) both
>> because it's used when we're in the middle of writing the code, and also
>> because of how it works (it takes the code from beginning-of-defun up
>> to point and throws away whatever follows, just adding enough closing
>> parens that the resutling string is `read`able).
>
> I see.
>
> Shouldn't this function then be suppressing all errors while it's doing
> this exploratory macro-expansion stuff?

Yes (plus silence the messages plus avoid compiler macros).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 11 Oct 2022 18:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 11 14:27:54 2022
Received: from localhost ([127.0.0.1]:54792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oiJys-0004nK-4R
	for submit <at> debbugs.gnu.org; Tue, 11 Oct 2022 14:27:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oiJyq-0004n6-DR
 for 58396 <at> debbugs.gnu.org; Tue, 11 Oct 2022 14:27:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RkHKoVxUJEEykqwPZCbOJa/xfpjrIUdTa+le8IBtMH8=; b=XejRSo/63wrm3B9/oNU1pOsDeA
 bXy2kLGl5jTwew3TzbEJL+rgcuh4dkapo/zbMEwftKIIXxVK/iRJiZ7CNdG7E4oWsVrypWNw+bn69
 kBiDts5OF3FstCdcSF+bFt8rEVGxMerOGmCJdPQzbZsZXhKpyfxeW5Nn3u6rYFDRYH1Q=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oiJyg-0006s0-HV; Tue, 11 Oct 2022 20:27:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <jwvfsfvvxfq.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 10 Oct 2022 23:46:46 -0400")
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
 <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN> <87a663kxtz.fsf@HIDDEN>
 <jwvfsfvvxfq.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUuSognNFojHSAx
 Q29VR02VeHD///+nrtg8AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YKCxICHd/qtNoAAAFmSURBVDjL
 1ZNdcoUgDIVVNmBCF3CJ9l3MDhjuBjqy/630gKh4p525fWwc//JxkhBj1/3ZemcceeKxdyp+7Ilk
 LGAQEhEWN+SLY2ZZdsBwT+wIgJzIyq6rCqx8ME9ZOooMh8KoGl1UF6MdDrzoe8UpwV7WIqRBBdlo
 uSMvh7kb6UV+IuaIU8klWHdPlDkE3MdTUdzPtIUYYispgvmZQkwpSSPJGeYUI0Q7mK5Ic0zPrYCc
 RJpa4zYDxJi+8tvSpECk8AmwXUkqQIxPhHoFcoCS/XEClpy0gHADlusmU7z2PuRu703JJVw5rtY6
 /tgf6jeno7mqym1/axyyB5jaz+SKX9e2iaXtpJQBJI7OWcAyDIgWCab4FOTGZ+Dh99bbdnhOCSK2
 Y7JgHIrE2/tgGWyGUBbO2/o62yAvc/iLGfJWvfe52t5Y1OZ3Ye8E/5MQT+JW/IvEXINbQvGUKxq9
 WsIW30v1P8x8AwmjWFWeqbZpAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTEwLTExVDE4OjAyOjI5
 KzAwOjAweiFubgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0xMC0xMVQxODowMjoyOSswMDowMAt8
 1tIAAAAASUVORK5CYII=
X-Now-Playing: David Bowie's _The Width of a Circle (1)_: "Cygnet Committee"
Date: Tue, 11 Oct 2022 20:27:42 +0200
Message-ID: <87czaygqqp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > Because
 that's the sort of error you can get if you try to macro-expand > code that's
 syntactically invalid. E.g. try to compile a file with > > (add-to-list x)
 > > and you should see a similar erro [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>, 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> Because that's the sort of error you can get if you try to macro-expand
> code that's syntactically invalid.  E.g. try to compile a file with
>
>     (add-to-list x)
>
> and you should see a similar error.  For `elisp--local-variables`,
> syntactically invalid code is the normal case (more or less) both
> because it's used when we're in the middle of writing the code, and also
> because of how it works (it takes the code from beginning-of-defun up
> to point and throws away whatever follows, just adding enough closing
> parens that the resutling string is `read`able).

I see.

Shouldn't this function then be suppressing all errors while it's doing
this exploratory macro-expansion stuff?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 11 Oct 2022 03:46:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 23:46:59 2022
Received: from localhost ([127.0.0.1]:50475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oi6EM-00021D-Tx
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 23:46:59 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:55977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oi6EJ-00020z-VP
 for 58396 <at> debbugs.gnu.org; Mon, 10 Oct 2022 23:46:56 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 0CB6A80A18;
 Mon, 10 Oct 2022 23:46:50 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 7B49380073;
 Mon, 10 Oct 2022 23:46:48 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1665460008;
 bh=b9jOcNdTSuByIfcjbsNunaRu06lwfJMOg+zY7EsdzAc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=WqbL7/thhJOa70xvU1kIbNu7+rZi4wpvo1HgZG17pXpOQapjgr/fQ3ykKm30Q26/I
 tpUcq2Ar6npfZv9A1IscsDirD66pZtxozh7u6fqPiuL86K1trEJLcPZPG+Z8Z9q6Wr
 YOgIUbJo9V/RXSiclbrV9P0SgXRf585+QjrQntaCsD1pMK9CPPvbMVq7DsM54PIQ6N
 UPIKugC9ve8Mp7K2Z8tbF3Oa4QuIVpmxBA8zzrjO9rke73mTpm3q/03UV6Uu6tX1VP
 m7N7aSzUwEDg4W/9eEyy81tqvlOTpprsvufNkEcc/kXlSrWjBDEwGlPgMe9twztloZ
 4O0WfTR3q7JeA==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 3E0C1120909;
 Mon, 10 Oct 2022 23:46:48 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <87a663kxtz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 11 Oct 2022 02:28:40 +0200")
Message-ID: <jwvfsfvvxfq.fsf-monnier+emacs@HIDDEN>
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
 <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN> <87a663kxtz.fsf@HIDDEN>
Date: Mon, 10 Oct 2022 23:46:46 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.131 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>, 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2022-10-11 02:28:40] wrote:
> Stefan Monnier <monnier@HIDDEN> writes:
>> I'm not sure which part you don't understand above, so I'll only explain
>> the general situation: to allow completion of local variable names, we
>> analyze the surrounding code, but in order to do that without having to
>> write ad-hoc code that knows about all the macros out there that can
>> introduce new vars, we take the "surrounding code" and macroexpand the
>> hell out of it so that we can then traverse the result looking only for
>> `let/let*/lambda/condition-case`.
>
> But why is it calling add-to-list--anon-cmacro with the wrong number of
> parameters?

Because that's the sort of error you can get if you try to macro-expand
code that's syntactically invalid.  E.g. try to compile a file with

    (add-to-list x)

and you should see a similar error.  For `elisp--local-variables`,
syntactically invalid code is the normal case (more or less) both
because it's used when we're in the middle of writing the code, and also
because of how it works (it takes the code from beginning-of-defun up
to point and throws away whatever follows, just adding enough closing
parens that the resutling string is `read`able).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 11 Oct 2022 01:53:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 21:53:18 2022
Received: from localhost ([127.0.0.1]:50379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oi4SM-0003Kf-GX
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 21:53:18 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:43562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1oi4SI-0003KV-Co
 for 58396 <at> debbugs.gnu.org; Mon, 10 Oct 2022 21:53:17 -0400
Received: from pps.filterd (m0246617.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 29ALxDTi015121;
 Tue, 11 Oct 2022 01:53:13 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2022-7-12;
 bh=m8EYsrPd2wuW/2ezm3+rXf66vr04TJv3LjKCwJ/Lc8M=;
 b=A7Eeh8HGxqKvp2sZtQCeQUIg5sy8Ylig+PX6J/vZV7Pc/VimikWmZyfP1XYR/IYuygD/
 GqufRJUYaLnAmXFPukvcyGW2mgoU9cuBkmZD8vuxTyBZS89/UMG0l9TfzFItbHagfM5q
 uvSYWTIx/AsJq+12oQsmgadlD5bYMjWA7Qy6ugRGh6awZ8uD2mLRRdbbtMHtN5ur27HI
 ariyddqtuYSseeA1Zv+4YJ6Q1ysn9lZPjqw5U+n+daBB+sQ6s8dG7xjsUxLsqQxLdxpe
 LdyyMfdNh19c6IFDBLQTYl/hYyHdMCBARFFPF//Ham74Q7Qdq76WLGV37ht86YyzUUN7 +g== 
Received: from phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta03.appoci.oracle.com [138.1.37.129])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3k31rtda34-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 11 Oct 2022 01:53:12 +0000
Received: from pps.filterd
 (phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com (8.17.1.5/8.17.1.5)
 with ESMTP id 29AM071g021825; Tue, 11 Oct 2022 01:53:11 GMT
Received: from nam12-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam12lp2170.outbound.protection.outlook.com [104.47.55.170])
 by phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com (PPS) with ESMTPS id
 3k2yn3n3n5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 11 Oct 2022 01:53:11 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=RLXrZUzs53o0oSKCAbJtVUDWQFfV3rYL4241erxgmDixO7V1WRBSWoS9Q0yk1iFeJg3XGFoatMD+ZTb2TzJneJk6aDtp5Id1D/hjccVgvebj5v4fG98gYalRNIYF/KLRLB7dUCyAYEuYJAth7gVQYbojOJ9PjIl6sqH9U14P1a0XwkqoNeqBWnp1bqK0YO4s6UrTpWFrgETZsRgw1UKeGlw9dIqILq1IJZ1avzVnyufwSlve2uzoIqgJUC7sUePCkqQTf0WeMgD6qWZXmw06c5dkZ652dqFy1va3GcklW7qFqOuXOF8XcQhHTApNr9EOTe7tcrM8AVRoOie1lh4XhQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=m8EYsrPd2wuW/2ezm3+rXf66vr04TJv3LjKCwJ/Lc8M=;
 b=Qr9Ry88KKJXb9hEhEcfEx8cvB0dl/+6ecbyvAkKwUDafTqiPpTsR72q656cMaRB15gSL0zphVQLYPW31LMqql0a+hiBoFsgoPYtlNsBTTDD7EiV10QEmbdB3B7i09xgdXAU1ScFA3BzM76BxSruAnpTeKYavS8q3RVR07sqsELdsUnyjyLwCVY7dIj7GYLrMpjvhnVfRPVbjRIZ/tO0cDLotOnBxiDU0x6H8Cf8n13ve9WMn2hkE9YXPtAGaLYQkpvoG+MCEvMCuIPFKDq+R67Fsb/PS92imRuH8oVrTI0cJ/ivD5VAstA71AUtYIHPLhEFarJVWerT2gVQVmYr8VA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=m8EYsrPd2wuW/2ezm3+rXf66vr04TJv3LjKCwJ/Lc8M=;
 b=cmhvikD8sWWJwbvoJw/9mrQWpNK+YK+VVU/VITHc39jspDHBs8oBBG2VblqyWfxUNGP710vSQN3DPtFiPBFAqVtWk93SnEGt+fCj1hxg+mQgzkjvntWKlsK9XWJjOy8j4qHt9A5uAYV13n+xigF7qsL7Dduu/fdSgXQtzZseVyY=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by CH0PR10MB5305.namprd10.prod.outlook.com (2603:10b6:610:d9::20)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5709.15; Tue, 11 Oct
 2022 01:53:09 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::f319:dced:1a48:779a]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::f319:dced:1a48:779a%3]) with mapi id 15.20.5709.015; Tue, 11 Oct 2022
 01:53:09 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Stefan Monnier
 <monnier@HIDDEN>
Subject: RE: [External] : bug#58396: 29.0.50; Optimization failure for
 add-to-list
Thread-Topic: [External] : bug#58396: 29.0.50; Optimization failure for
 add-to-list
Thread-Index: AQHY3Qh7Qas0dbkH2k+0JJm5mSkVVq4Ibaug
Date: Tue, 11 Oct 2022 01:53:09 +0000
Message-ID: <SJ0PR10MB5488B58D2E2746BFCE9C2D62F3239@HIDDEN>
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
 <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN> <87a663kxtz.fsf@HIDDEN>
In-Reply-To: <87a663kxtz.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: SJ0PR10MB5488:EE_|CH0PR10MB5305:EE_
x-ms-office365-filtering-correlation-id: 102932f5-1c7e-4cea-1262-08daab2b595b
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 6mhadwLWQx3cOEGYUwNdhJ3tEce8h4MwBcrxvs0CE5ql121bUlnOcbWBOnqDN4AFTgKfzhv41uT4FunndiJ2BGhCMb1Df8sOpsaARdw5Xz9gCSADPH/f+BHHuvpX+aLwP86AsKehMkQToIYeA3C+GP5JFOtTmi7FI66ZPqhOaB1oPzQkn57/MpF73Y7c8DE04hWD1C9XyAwS31V4TcknoZMugSgUgv3Mas0wC42xaJuV3ftAIQRmtFIPRb6+DIpMG/onLmB9khHP5ki5jFTPG2BsiNNeawn4wo15bubuYg7x/JL1Eb0b+/KwRxxNLLOyYYtltkaQM+Ngob8IObyCG14WZZiV8+NAdlKkp6gk8gbF8UXm6nsac3O6HvXOaspmnwsrShHhPQ+AqhEkjyvJovKe8/bA6l4Hb5q21N4MBsk1jNaryRSmYXUmDd9VU95fRqtqts7zJpsb98lQjf8XNmE8PgERZHuVaz/3/PtmZU/i8VLJ8pxQ5hk53s+REHgGYjSNip2eIS/KN0+4Owh4d7M5JQAW5dBBPl4qUr0trUSXLsAOr+vXa5SIDJqGBS2A6UR/C90NTY8+SAYgluJRK4vMeEcjtVeOMqDAbdMzvRtinxrzgNcT7phcIYizAMnojG+Qg9bM4TNpkDnq3LuFOEBR+CE0Ra/LoNtZnc+RVeg0/s1A4B3dDqQI2dAWiIsqOecyI0G/Ypnn6ffU5pJ0LE5wmsfoc/BSvNYC7JHy6qVTrKT+xVRzcwXTRJCN60/6oNNBBIEvpf/i1fY+78iSfQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(346002)(376002)(396003)(136003)(366004)(39860400002)(451199015)(2906002)(38100700002)(86362001)(6506007)(7696005)(110136005)(38070700005)(26005)(9686003)(71200400001)(44832011)(33656002)(54906003)(5660300002)(55016003)(122000001)(8936002)(52536014)(478600001)(186003)(316002)(66556008)(76116006)(66946007)(8676002)(66476007)(558084003)(41300700001)(66446008)(64756008)(4326008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?BwGVHJyQnqUrYBpyMgGoNKfn1IP9iStkM4imZpdhFRTS9gsBS/t257zLm42Q?=
 =?us-ascii?Q?bjOcWwF9PBZSv9iLFX4vfkeMvbtIZOKXGfDAhchQZeb3POpKJYK7e0Q6Ck8Q?=
 =?us-ascii?Q?0SpnMmFp2vLwZp0AFlEXHmcMO9/ldbACzAmo+BJuDp9mgI68JZyMfWcjUoXv?=
 =?us-ascii?Q?TTfSBmFIHnqW1jcNWa0U7bbE4xFzIQBuRgdVBdkYgxIxLhzjSSbRZ84YduZf?=
 =?us-ascii?Q?9VgWUvQajAihvL0O5U1MEBxf8XQoN6l3FUTkfk0NnYPL+NrjXGYZ0GQVWEmd?=
 =?us-ascii?Q?O+iW47K5Of+xAe2E1Q6YaaUyl/ivuvP+KgJkEXRV8gRsjtmfHVi7IMcXKvFQ?=
 =?us-ascii?Q?9v7bjL2aAQ3KFqiK0V8NS3nfQ/8oOQpjDPfh0k4oRQym7bslvpOIHSyJjCCL?=
 =?us-ascii?Q?SRiCQ8AU5MLePNjDUqpWd+xAKc5/K+Wyw7+WN1fYNJGDjBRgUxqmV8cwbLyZ?=
 =?us-ascii?Q?fdWpvHKYcxqbLQmNQPF3DkCmXu0L2BzKaxcWBjSgR71b6zVsdxjzjWnh2cTn?=
 =?us-ascii?Q?oPYUTRv0HvyE5+1gb2zTT44fjyidbq0VJ76kAZM0ao9/hKTKXoW+xnL7mHFz?=
 =?us-ascii?Q?HTh2qfmPDo0I7AHsdhADeRFZvVbsKrU+aUTrtMIkXljm9mvnJ/JhuKy+zkp3?=
 =?us-ascii?Q?gR3gE4Za821Oll7l2YOc7WFbzRdTe4QaHebyLKd7caC4YSnm4XdfdNM5CCjd?=
 =?us-ascii?Q?n993/XXQ37fTXR6WORZjF+K0yHm9azUsD/5nNPK1lGBIKd5XDYFJ0gmYUHcZ?=
 =?us-ascii?Q?ci1W2x7f+Jo83+uYVmwof4eiUVczGWw50NEZjkAPibGgvKxaMqqOWwfIoaLS?=
 =?us-ascii?Q?8xuRNBl9sMvTHjCNX509ceI38qZQbMLIFQVu9VQfswNIF72RofL8htV2bmgY?=
 =?us-ascii?Q?fRjJuuOVD88L+gKwJPqbncl7i6P9e0M3UnT2OQoUXJCzAShv/x8V5j7zsBN2?=
 =?us-ascii?Q?CugWPmVGxFAfvUVQcWJuehC6JqOkPxuNm643hkWLHbMpROQ3kZjczZN3X99z?=
 =?us-ascii?Q?jINWa2ljDO4jA4asXmu/jaqBi9UjdRz42ChQbv0RTud2IlVAZMCmPEb2rfEm?=
 =?us-ascii?Q?q9gKmZBptqohPWjqhp8245msAPnH4yWJF1qw1xPjjdzNufp52kbm969rAhrR?=
 =?us-ascii?Q?fKSxP6UvXP17AodhzmDH2UT3QV7R9J9ih/Cp1kwRMtPeFc3SiOAm+p8f3U7p?=
 =?us-ascii?Q?JGeTL3sDMgtp54mvv8xJgQrPtWX04JFBERAI299dHxsMoq6Yp7eU99e/9xN7?=
 =?us-ascii?Q?PAKwJ7WD2etXhXdNFcQKm05030GRia0UeIFoY4Q8iNoTiXo0gQjXX4N1MwNq?=
 =?us-ascii?Q?h+JFeSG7FmTJXB7+zhurFv0veO/COaf2sPH5DFu6XPjp5gBU3bGOJrRrSUOu?=
 =?us-ascii?Q?3WR2JVjWjiWobFDioSctErKPkraKtYcMZR37SRTuLB4U033pqQszcYICQLqy?=
 =?us-ascii?Q?20evnfcn8vNoV8DQ3UWNmda1+jmWN402KGmHyvA1/tTWv7d4j/qQbU4cCsPB?=
 =?us-ascii?Q?f+/NyRaOV5Pvd0myD4td9tcJojcbcOlIjQGXCe3Mo9XZB97LGFZLLTN7mrxq?=
 =?us-ascii?Q?Q0c4hb6rV+DHCi4fBCzYj+c+PrZ7SGIexbB36nEb?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 102932f5-1c7e-4cea-1262-08daab2b595b
X-MS-Exchange-CrossTenant-originalarrivaltime: 11 Oct 2022 01:53:09.6805 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: rlNaIbgXFPB3zd0jsDH0TLMCuIIzKWFLcFhFdVzfaucZPLUfAB3hj6tcu/Y9wCQGhZKZCE2jG5ryWIj24bEsVw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CH0PR10MB5305
X-Proofpoint-Virus-Version: vendor=baseguard
 engine=ICAP:2.0.205,Aquarius:18.0.895,Hydra:6.0.528,FMLib:17.11.122.1
 definitions=2022-10-11_01,2022-10-10_02,2022-06-22_01
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 suspectscore=0
 phishscore=0 mlxscore=0 malwarescore=0 spamscore=0 mlxlogscore=850
 bulkscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2209130000 definitions=main-2210110008
X-Proofpoint-GUID: j41Ffe6mI92g1dc5Rw2-Uou4ROyKWY9h
X-Proofpoint-ORIG-GUID: j41Ffe6mI92g1dc5Rw2-Uou4ROyKWY9h
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>,
 "58396 <at> debbugs.gnu.org" <58396 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > But why is it calling add-to-list--anon-cmacro with the wrong number of=
 parameters?

Perhaps the name should be

add-to-list--anon-cmacro-with-the-wrong-number-of-parameters




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 11 Oct 2022 00:28:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 20:28:55 2022
Received: from localhost ([127.0.0.1]:50275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oi38h-0005FT-7R
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 20:28:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oi38e-0005FF-Ix
 for 58396 <at> debbugs.gnu.org; Mon, 10 Oct 2022 20:28:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2wGNc+hJAKFYNURJWrgmKtjUnbtq1HuZ+wHgMMFBfRg=; b=ryQkCecAhSNv1S1ed1v4ljEr1b
 y4rFVQ3xEej0icJnXi8wFf8dN0EAHimQtAxM+A0gMwBsvIEwFKFLxg0QKxFTA3WhOFA+7ZuLOOd42
 uhjAeYUjUsCSb7mnATIRTS0fdUBn+aJhCRbJxyz1z7Ex1IUt171eNo7uLz70IiggTK90=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oi38T-0006Bq-0w; Tue, 11 Oct 2022 02:28:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 10 Oct 2022 10:59:04 -0400")
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
 <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN>
X-Now-Playing: Metalheadz's _15 Years of Metalheadz_: "Swarm"
Date: Tue, 11 Oct 2022 02:28:40 +0200
Message-ID: <87a663kxtz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > I'm not
 sure which part you don't understand above, so I'll only explain > the general
 situation: to allow completion of local variable names, we > analyze the
 surrounding code, but in order to do t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>, 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> I'm not sure which part you don't understand above, so I'll only explain
> the general situation: to allow completion of local variable names, we
> analyze the surrounding code, but in order to do that without having to
> write ad-hoc code that knows about all the macros out there that can
> introduce new vars, we take the "surrounding code" and macroexpand the
> hell out of it so that we can then traverse the result looking only for
> `let/let*/lambda/condition-case`.

But why is it calling add-to-list--anon-cmacro with the wrong number of
parameters?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 10 Oct 2022 14:59:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 10:59:20 2022
Received: from localhost ([127.0.0.1]:49554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ohuFU-0007SK-Hq
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 10:59:20 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:45011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ohuFS-0007S6-7K
 for 58396 <at> debbugs.gnu.org; Mon, 10 Oct 2022 10:59:18 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 7A63E100189;
 Mon, 10 Oct 2022 10:59:12 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 990AB10008C;
 Mon, 10 Oct 2022 10:59:06 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1665413946;
 bh=l0024sbFuI6o5rMRIQWJWIPxwzq9ls2bQ/n4jMYzzP0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=oaJz4EBgRN73fA6+mIagR8gwVqmAsfOddV6Yks/DeW1cyzE2+92juFjoKjN8ro4ZY
 J0IyN+ZNGmw/Pk85uqV0Av21LZbT5AkGUZojMX6kQNORIgt2X8pfytlXBykSP7hGoM
 nbsxQdfMbNdQ7mVJMg5Bw2e4B9ehBItq2fxa03K2xKbwbVu0uYrTZSvxNld5NiasmR
 th6GyeC/NFDEp/xTyELb676+X/zF4zf3mXAOjUsQQr+FmClcISuf9864UQec9i170G
 pZg+e7Qwz/kmnB5NmgeTjtDFblV8h8S2XEPu05mae5EFK6nXwMlgUh5my+PCpXAPNF
 H2mOOPqo1NCBw==
Received: from pastel (65-110-220-202.cpe.pppoe.ca [65.110.220.202])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 2DCE812014D;
 Mon, 10 Oct 2022 10:59:06 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <87fsfwnkl4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 10 Oct 2022 10:34:15 +0200")
Message-ID: <jwvwn97wx0x.fsf-monnier+emacs@HIDDEN>
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN> <87fsfwnkl4.fsf@HIDDEN>
Date: Mon, 10 Oct 2022 10:59:04 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.067 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: German Pacenza <germanp82@HIDDEN>, 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2022-10-10 10:34:15] wrote:
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>>> emacs -Q
>>> (setq tab-always-indent 'complete)
>>> (add-to-list pac ;; without the quote. Press TAB after the 'c'
>>>
>>> Result:
>>> Completion succeeds but I get the following in the echo area:
>>> Warning: Optimization failure for add-to-list: Handler:
>>> add-to-list--anon-cmacro
>>> (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)
>>>
>>> With toggle-debug-on-error:
>>>
>>>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr
>>> add-to-list--anon-cmacro> 2)
>>
>> This seems like it's the same problem as reported in bug#58148 (so I'm
>> merging the two reports).
>
> I don't quite understand the calling sequence how we end up here; I've
> added Stefan to the CCs -- he wrote `elisp--local-variables' back in
> 2014:
>
> Debugger entered--Lisp error: (wrong-number-of-arguments ((t) (form keymap
> key definition) (ignore keymap key definition) (keymap--compile-check key)
> form) 2)
>   keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)
>   apply(keymap-set--anon-cmacro (keymap-set elisp--witness--lisp) elisp--witness--lisp)
>   macroexp--compiler-macro(keymap-set--anon-cmacro (keymap-set elisp--witness--lisp))
>   #f(compiled-function (form func)
> #<bytecode -0x18f8a3887af7552>)(((keymap-set elisp--witness--lisp))
> keymap-set)
>   macroexp--expand-all((keymap-set elisp--witness--lisp))
>   macroexpand-all((keymap-set elisp--witness--lisp))
>   elisp--local-variables()

Hmm... we should arrange for this `macroexpand-all` call not to emit any
messages (and it should arguably also skip the compiler-macros) since we
know it'll often be used on code that's not (yet) valid.

I'm not sure which part you don't understand above, so I'll only explain
the general situation: to allow completion of local variable names, we
analyze the surrounding code, but in order to do that without having to
write ad-hoc code that knows about all the macros out there that can
introduce new vars, we take the "surrounding code" and macroexpand the
hell out of it so that we can then traverse the result looking only for
`let/let*/lambda/condition-case`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 10 Oct 2022 08:34:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 04:34:31 2022
Received: from localhost ([127.0.0.1]:45900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ohoF4-0000fO-V2
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 04:34:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ohoF2-0000fC-M7
 for 58396 <at> debbugs.gnu.org; Mon, 10 Oct 2022 04:34:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DqIs7/KU6+7WWueDg3dn70RLElJAm8RgW21KRWyjNyo=; b=fpbh98NCNCyaty+prph43BmLcZ
 GfEXDYXjJhOn2+dbTjhDmgj6A2h3mU1dvc6OkvjOKIBCqD7EJMOU8btNYn3dM2qoajqW3T6RnVA/+
 3S6jzHm/8LB+aYnJnZ58tHy7ow3wVG8idlYOXLhvlsaINjt0VveYf/oOK5SWO4Gx1J28=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ohoEq-0006gn-9j; Mon, 10 Oct 2022 10:34:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <87o7uknkyx.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 10 Oct 2022 10:25:58 +0200")
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 <87o7uknkyx.fsf@HIDDEN>
X-Now-Playing: J. Kallback & D. Sodahberk's _TL2X_: "24'84"
Date: Mon, 10 Oct 2022 10:34:15 +0200
Message-ID: <87fsfwnkl4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: >> emacs -Q >>
 (setq tab-always-indent 'complete) >> (add-to-list pac ;; without the quote.
 Press TAB after the 'c' >> >> Result: >> Completion succeeds but I get the
 following in the echo area: >> Wa [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: 58396 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> emacs -Q
>> (setq tab-always-indent 'complete)
>> (add-to-list pac ;; without the quote. Press TAB after the 'c'
>>
>> Result:
>> Completion succeeds but I get the following in the echo area:
>> Warning: Optimization failure for add-to-list: Handler:
>> add-to-list--anon-cmacro
>> (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)
>>
>> With toggle-debug-on-error:
>>
>>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr
>> add-to-list--anon-cmacro> 2)
>
> This seems like it's the same problem as reported in bug#58148 (so I'm
> merging the two reports).

I don't quite understand the calling sequence how we end up here; I've
added Stefan to the CCs -- he wrote `elisp--local-variables' back in
2014:

Debugger entered--Lisp error: (wrong-number-of-arguments ((t) (form keymap key definition) (ignore keymap key definition) (keymap--compile-check key) form) 2)
  keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)
  apply(keymap-set--anon-cmacro (keymap-set elisp--witness--lisp) elisp--witness--lisp)
  macroexp--compiler-macro(keymap-set--anon-cmacro (keymap-set elisp--witness--lisp))
  #f(compiled-function (form func) #<bytecode -0x18f8a3887af7552>)(((keymap-set elisp--witness--lisp)) keymap-set)
  macroexp--expand-all((keymap-set elisp--witness--lisp))
  macroexpand-all((keymap-set elisp--witness--lisp))
  elisp--local-variables()




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.
Forcibly Merged 58148 58396. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58396 <at> debbugs.gnu.org:


Received: (at 58396) by debbugs.gnu.org; 10 Oct 2022 08:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 04:26:09 2022
Received: from localhost ([127.0.0.1]:45877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oho6z-0006gb-7W
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2022 04:26:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oho6x-0006gD-9z
 for 58396 <at> debbugs.gnu.org; Mon, 10 Oct 2022 04:26:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HKwo7Hv+82+P6gcnvlwCoqNGRzGn2vPw4e42e6Lz6XI=; b=WLdiymN7N8hENAj80dX7Uz8rQ7
 XQWlWynjkbweb9wr0C2zqnQqfUxyKgpinzgym4q7iVdxg+h18Q6GGmvgg6DVYioGdr6zrUVYGj+KE
 6Pp4QSbpVwV7M3ZGB+Ui9TH1k1UnEuPMjtPzIqmv6c5uZ/lEoHBIhDUfaX2KQnLlCRcE=;
Received: from [84.212.220.105] (helo=downe)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oho6p-0006cp-4W; Mon, 10 Oct 2022 10:26:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#58396: 29.0.50; Optimization failure for add-to-list
In-Reply-To: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
 (German Pacenza's message of "Sun, 09 Oct 2022 13:20:17 -0300")
References: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
X-Now-Playing: J. Kallback & D. Sodahberk's _TL2X_: "TL2X"
Date: Mon, 10 Oct 2022 10:25:58 +0200
Message-ID: <87o7uknkyx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  German Pacenza <germanp82@HIDDEN> writes: > emacs -Q
 > (setq tab-always-indent 'complete) > (add-to-list pac ; ; without the quote.
 Press TAB after the 'c' > > Result: > Completion succeeds but I get the
 following in the echo area: > Warning: [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58396
Cc: 58396 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

German Pacenza <germanp82@HIDDEN> writes:

> emacs -Q
> (setq tab-always-indent 'complete)
> (add-to-list pac ;; without the quote. Press TAB after the 'c'
>
> Result:
> Completion succeeds but I get the following in the echo area:
> Warning: Optimization failure for add-to-list: Handler: add-to-list--anon-cmacro
> (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)
>
> With toggle-debug-on-error:
>
>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)

This seems like it's the same problem as reported in bug#58148 (so I'm
merging the two reports).

(And now I'm able to reproduce the problem.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Oct 2022 16:25:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 09 12:25:36 2022
Received: from localhost ([127.0.0.1]:44808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ohZ7P-0003Hq-RZ
	for submit <at> debbugs.gnu.org; Sun, 09 Oct 2022 12:25:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:38392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <germanp82@HIDDEN>) id 1ohZ7O-0003Hj-DD
 for submit <at> debbugs.gnu.org; Sun, 09 Oct 2022 12:25:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45852)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <germanp82@HIDDEN>)
 id 1ohZ7O-0008Ct-86
 for bug-gnu-emacs@HIDDEN; Sun, 09 Oct 2022 12:25:34 -0400
Received: from mail-bn8nam12olkn20819.outbound.protection.outlook.com
 ([2a01:111:f400:fe5b::819]:6624
 helo=NAM12-BN8-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <germanp82@HIDDEN>)
 id 1ohZ7L-00039S-Vi
 for bug-gnu-emacs@HIDDEN; Sun, 09 Oct 2022 12:25:33 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=XgDEIu4LUy/IF8ha9r9JYhovAY6x7kPn93M+AMj5HELkcH7CBJDP3w45wcOozi7CnfdQoe29xLwdGT1aYwx/GnhnhuFCUzhOGv+AzOOTV2sBuXF5eNDknKzqoKxY+/64hYzpAsuwRxBZ+DJ+8p2AP5G30NSWp4cN2O0kvzkEzIVb5QMn6WraVFoLuSo9/C1E15AOw6x0UahuWIeMqafE63fAwTimvJLWC7Gehw8zfqd8kwzSnvonomh/AFVi8VChUTauWdA8XuhMukG65vfH4HJToE+qpUO80rPYy2zow8ekdavx656egA6eNi+mbZeGihVEPA9VX5U2nv98J6ExpQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=8nOfO5/ORuCOQ8Y9H2ohy2FtHjgiR1uSzBWRIOLkSNI=;
 b=Cib9YVOuVIvCpIOW61E089XrUAM4ReN2J51uY6CTfiLxTDOFn52M+hnzpFw1ocBOQb/Ji+SeZwVykmuHa+McGnLM2B5wcaDzz/aaoBUl6OAcQtg64jaL+cyuPTcqYdUTWcQ4Es7H1UnAPqiermG39/eRw8ZPlV1iocGJmu5KKKNC7PA0iChHOIxFnj9o3G7lBfj7loEVGO+Ev8VZ5qbJ35VNlK6qBOhuxxDqAgrwbkNmPvLNYi5ntbWb4p2ERXBvSQU0iPumTfxSMxWeSWP0eTH5rxAUSoHFHLBjuQ7TUyLYLkZfD5Rk+OU0wkZ8csL4o8gYqQZdXEKBTx9OiKLlag==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=8nOfO5/ORuCOQ8Y9H2ohy2FtHjgiR1uSzBWRIOLkSNI=;
 b=IP1mDlTRi44HSrzAlORHu1HUWvOT5YavF379OqmizGpcgANRozLzHk16TZQ8ZvjI33jWE3B8nK0bpifwsgAgzPhMOlanS8BfTU9fYJ6OjUehWbxp65SiE0qEi0ivTFvH4Nd/SpXZsnn1sRCZGyNy9TMzdJ4r6zY3b6Uv6t7TVpsq/38OWf2VqNy55fcZ6l4IHg/49lVLM3PeNP/3/1p3IiA9CBgMIc1Xy8ttA2qgPw68wViPape83/sLvFysgbwnaiv7OYoMkBEnCF+E+v70uj1Zr0nsycC7F8tQEpMT1Koodc+fJcfZlSAOZQZQwgQOxRyXUXnPrsXszhdIYfM5uQ==
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com (2603:10b6:4:2f::19)
 by DM6PR22MB1978.namprd22.prod.outlook.com (2603:10b6:5:22d::13) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5654.35; Sun, 9 Oct
 2022 16:20:27 +0000
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::3195:2954:fd59:96e8]) by DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::3195:2954:fd59:96e8%6]) with mapi id 15.20.5709.015; Sun, 9 Oct 2022
 16:20:27 +0000
From: German Pacenza <germanp82@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Optimization failure for add-to-list
Date: Sun, 09 Oct 2022 13:20:17 -0300
Message-ID: <DM5PR2201MB11615E84BD34F813B12DCA71A7219@HIDDEN>
Content-Type: text/plain
X-TMN: [s2LWg/JGJdjkd5hkkAbBNycZQh1xcP6l]
X-ClientProxiedBy: SC1P152CA0152.LAMP152.PROD.OUTLOOK.COM (2603:10d6:1:15::31)
 To DM5PR2201MB1161.namprd22.prod.outlook.com
 (2603:10b6:4:2f::19)
X-Microsoft-Original-Message-ID: <87bkqlvuim.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DM5PR2201MB1161:EE_|DM6PR22MB1978:EE_
X-MS-Office365-Filtering-Correlation-Id: 1897c424-047b-401f-101c-08daaa122d2f
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: KowkYW7eMTL3k52MuaDtCvxyHVH+7JiekehvIfOMU6Cdz++XW6n0YFVd/LSMY/GJWeRegdqdOJd0gO3nTa2ycK4yNIAkKPXZNPho6faEYRt9SDEUwtAJIkM0bdImfT//y/751QjFA/84NwpFQTVT3gKB2xomosIYpJU8Lo2l9IOEqR1E9oCXY30sxLAy0KDQOpP75nRN/9Yc49Dejql24dQTGlf170UfYwYOPhV367RYXiw5zmxkWzKi9eHgthqMKJgnw9MjGNSddYCkvPPdnGDKkKXBvHUZi90Z8mAv3Hj8ABZdjP2xFNFS7GfnJcvznrLrB5bSLKYd076887LEPVOHOkQu4Kai3yVsnSK2qha1r1Rp5HdcGmQ3BluUht+uicPPZk8O9zfJZy7/PSUH+M7YGgayAd8KB8z+XhvG0EQbl1IzzCYXVGpeCqbbkqwNJ7uJVDnAf7TdWHhFLWgrIWiwJUpEyedsnrtgAYkiYNuEDt0wLE9MhO8BwPloGjuXHxjBtdUd6PUxQFp5aBAJjVN6pOSiu0WeJQZv7APH+UxDOlsb8LuKynRgI1cr00qWRZ4QM0vzq0vhaigaJRUPdS+4iQ/D35PkntmV0A+5VCZttW3PjOvLP00/WvmBoWbXCR1zwRNdWMICxb7NUbDUoQ==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?zzKEFOjWsY4C+5PGv9Xi/Zi6/6U94gzF0ccgCkVfIAN0igyVA3jMnZUO5Mbx?=
 =?us-ascii?Q?WfHxzdW7SDDf7S9guxEJYQyyu2+P/w50vQcCwpzl2orrthZiruxK/RzJHCK5?=
 =?us-ascii?Q?EqeU9OMG69vNAz4Zqt+fF3kOGycfhKlieQzDWCP7nu294yccRxgKavGMPKpK?=
 =?us-ascii?Q?an70R6C7XT+0Jre0Zxt4uq2gljGMlSjRbjVkj8clkM4IKZEatOQJiLtVNcBK?=
 =?us-ascii?Q?UEEzb7nPoQzLXKcRjNLVz/e1EPALjuMpmNz6STKf44lQmXFiqk03Qb94u/Q/?=
 =?us-ascii?Q?6xVfGppg86KwkdbFZMfp11PzLAc2foRaofgGY/qbyAQK9oYt5osTt+Wa7abf?=
 =?us-ascii?Q?qIat1ayAV52NmyxPrfD3Cby+UZE952aFL0fRb29m2xuSeZDw5HRaq4cAcfHn?=
 =?us-ascii?Q?lmb/qXCzHjmMyCB30MGPnSlV/LlQvmwCxcNwZRcMkFT9Mi7C/5RZU/BeIoUA?=
 =?us-ascii?Q?9/IJM0VV0cXAqqGvwZv2CTF5Yl1Y9aq+PaQ4ZISfI1Mg4r+hSNK7bmOgdK/J?=
 =?us-ascii?Q?nQU274CvHyfTnKjqskS1FZTYXSAJQLRExnQpvzHJjTN6i3YsDyOSwVaMDuGD?=
 =?us-ascii?Q?RDPnPjl6ocUM+D8accbuycqmwWsQ7133EszLyj1NTRHnM2yDCIbjlXF0/20b?=
 =?us-ascii?Q?lCk85xSxbuKdOhREy9zwSetjxYozpgPBZMA8xPXYRtqYspeyu76cuKYiEf5n?=
 =?us-ascii?Q?3puvglB0bnVsdPiR9FZfsG8hj66730ZXzUFqssyHTKRuMwQmEPL50+LrSh1n?=
 =?us-ascii?Q?kJ5xlIvUChoT+P8UQidxNITGyd2KYr+RR0M6JgOCRq8u0stvOKTB4y9K4/mY?=
 =?us-ascii?Q?534jewd6W0SvL+QVcc+uGzsLNqws5sRZtf8iOl8pL2z0YBkylC8PbGWn1X6g?=
 =?us-ascii?Q?r6yTmTTrYjNQNPWMg1elNm57aqsdSNY1qYToCAfdoa14wPEGbQGz+SBkwSME?=
 =?us-ascii?Q?vXbCbbw1E/9B7gUWMd48Yw/Gyq7EVUwfjbBppZgLp/iMj8qRT1fn0cHwher1?=
 =?us-ascii?Q?K1SwGWtRemMshhlIqgooAZQKYWhW+gjHPfuWvGaDZV1fMJiMVTJerac2pegF?=
 =?us-ascii?Q?q1teTk9o4fw519h1cIqzhN9KSLCKNc5j9DNKGT126ij+n02NCtR8vvqOHibI?=
 =?us-ascii?Q?XHuZFAhn86Ut5Yu3qfMg92YyTWwCapEb6DcgNMtYFAseGn70MR+JFynHg0Ug?=
 =?us-ascii?Q?1H6Vmm2qspjGkMdL2Wa8wenUaoUqNQRVfK0f3s2HXG5oTAN5DOMc3V5uCVYS?=
 =?us-ascii?Q?Qv7ojov0rM/4AwmXlXhOWjVAs3lv363lO5i3sLUpnA=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-c3c87.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 1897c424-047b-401f-101c-08daaa122d2f
X-MS-Exchange-CrossTenant-AuthSource: DM5PR2201MB1161.namprd22.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 09 Oct 2022 16:20:27.4600 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6PR22MB1978
Received-SPF: pass client-ip=2a01:111:f400:fe5b::819;
 envelope-from=germanp82@HIDDEN;
 helo=NAM12-BN8-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


emacs -Q
(setq tab-always-indent 'complete)
(add-to-list pac ;; without the quote. Press TAB after the 'c'

Result:
Completion succeeds but I get the following in the echo area:
Warning: Optimization failure for add-to-list: Handler: add-to-list--anon-cmacro
(wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)

With toggle-debug-on-error:

  Debugger entered--Lisp error: (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)
  add-to-list--anon-cmacro((add-to-list elisp--witness--lisp) elisp--witness--lisp)
  apply(add-to-list--anon-cmacro (add-to-list elisp--witness--lisp) elisp--witness--lisp)
  macroexp--compiler-macro(add-to-list--anon-cmacro (add-to-list elisp--witness--lisp))
  macroexp--expand-all((add-to-list elisp--witness--lisp))
  macroexpand-all((add-to-list elisp--witness--lisp))
  elisp--local-variables()
  #f(compiled-function (string) #<bytecode -0x5fa893eaaf40814>)(#("pac" 0 3 (fontified t)))
  #f(compiled-function (string pred action) #<bytecode -0x14ed6e54e1050bfd>)(#("pac" 0 3 (fontified t)) nil nil)
  try-completion(#("pac" 0 3 (fontified t)) #f(compiled-function (string pred action) #<bytecode -0x14ed6e54e1050bfd>) nil)
  #f(compiled-function (table) #<bytecode 0x163689b2ac80c2c2>)(#f(compiled-function (string pred action) #<bytecode -0x14ed6e54e1050bfd>))
  mapcar(#f(compiled-function (table) #<bytecode 0x163689b2ac80c2c2>) (#f(compiled-function (string pred action) #<bytecode -0x14ed6e54e1050bfd>) #f(compiled-function (&rest args2) #<bytecode -0x8019f0ea8564a64>)))
  #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>)(#("pac" 0 3 (fontified t)) nil nil)
  completion-basic-try-completion(#("pac" 0 3 (fontified t)) #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil 3)
  #f(compiled-function (style) #<bytecode 0x178204c4fc0cae41>)(basic)
  completion--some(#f(compiled-function (style) #<bytecode 0x178204c4fc0cae41>) (basic partial-completion emacs22))
  completion--nth-completion(1 #("pac" 0 3 (fontified t)) #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil 3 (metadata))
  completion-try-completion(#("pac" 0 3 (fontified t)) #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil 3 (metadata))
  completion--do-completion(#<marker at 194 in *scratch*> 197)
  completion--in-region-1(#<marker at 194 in *scratch*> 197)
  #f(compiled-function (start end collection predicate) #<bytecode 0x3790782fa7b3d68>)(#<marker at 194 in *scratch*> 197 #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil)
  apply(#f(compiled-function (start end collection predicate) #<bytecode 0x3790782fa7b3d68>) (#<marker at 194 in *scratch*> 197 #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil))
  #f(compiled-function (funs global args) #<bytecode -0xf600c7e743d322>)(nil nil (#<marker at 194 in *scratch*> 197 #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil))
  completion--in-region(#<marker at 194 in *scratch*> 197 #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil)
  completion-in-region(#<marker at 194 in *scratch*> 197 #f(compiled-function (string pred action) #<bytecode -0x18f4dd5c4c465f31>) nil)
  completion-at-point()
  indent-for-tab-command(nil)
  funcall-interactively(indent-for-tab-command nil)
  command-execute(indent-for-tab-command)



In GNU Emacs 29.0.50 (build 15, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.17.6) of 2022-10-08 built on KRONOS
Repository revision: 84945e86be6b8dc8237983de901eb677bee3ae8b
Repository branch: master
System Description: Manjaro Linux

Configured using:
 'configure --without-modules --without-libotf --without-m17n-flt
 --without-gconf --with-pgtk --with-sound=no --without-gpm
 --with-native-compilation --without-gsettings --without-libsystemd
 --without-sqlite3 --without-xim --without-compress-install
 --prefix=/home/german/.local/emacs'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG JSON LCMS2
LIBXML2 NATIVE_COMP NOTIFY INOTIFY PDUMPER PGTK PNG RSVG SECCOMP THREADS
TIFF TOOLKIT_SCROLL_BARS WEBP XIM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: es_AR.UTF-8
  value of $LC_NUMERIC: es_AR.UTF-8
  value of $LC_TIME: es_AR.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  savehist-mode: t
  electric-pair-mode: t
  vertico-multiform-mode: t
  vertico-mode: t
  popper-mode: t
  minibuffer-depth-indicate-mode: t
  delete-selection-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  straight-live-modifications-mode: t
  global-so-long-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/german/.emacs.d/straight/build/transient/transient hides /home/german/.local/emacs/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug smerge-mode diff face-remap mm-archive
mule-util edmacro kmacro notmuch notmuch-tree notmuch-jump notmuch-hello
wid-edit notmuch-show notmuch-print notmuch-crypto notmuch-mua
notmuch-message notmuch-draft notmuch-maildir-fcc notmuch-address
notmuch-company notmuch-parser format-spec notmuch-wash diff-mode coolj
goto-addr thingatpt icalendar diary-lib diary-loaddefs cal-menu calendar
cal-loaddefs notmuch-tag crm notmuch-lib notmuch-version notmuch-compat
hl-line message sendmail yank-media dired dired-loaddefs rfc822 mml
mailabbrev mail-utils gmm-utils mailheader mm-view mml-smime mml-sec epa
derived epg rfc6068 epg-config gnus-util text-property-search time-date
smime password-cache gnutls puny dig mm-decode mm-bodies mm-encode
mailcap mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
savehist comp comp-cstr warnings icons rx elec-pair vertico-flat
vertico-grid vertico-multiform pcase vertico helpful-autoloads
elisp-refs-autoloads f-autoloads s-autoloads popper popper-autoloads
magit-autoloads magit-section-autoloads git-commit-autoloads
with-editor-autoloads transient-autoloads dash-autoloads
agitate-autoloads elfeed-autoloads vertico-autoloads embark-autoloads
consult-autoloads compat-autoloads mb-depth orderless-autoloads info
delsel xah-fly-keys easy-mmode xah-fly-keys-autoloads
rainbow-mode-autoloads g3r-dark-theme straight-autoloads cl-seq cl-extra
help-mode straight subr-x cl-macs gv bytecomp byte-compile cconv so-long
cl-loaddefs cl-lib rmc iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/pgtk-win
pgtk-win term/common-win pgtk-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting font-render-setting cairo gtk pgtk lcms2
multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 149476 70469)
 (symbols 48 12413 2)
 (strings 32 37772 11828)
 (string-bytes 1 1409276)
 (vectors 16 22922)
 (vector-slots 8 456664 164114)
 (floats 8 64 237)
 (intervals 56 354 80)
 (buffers 1000 11))

-- 
German Pacenza




Acknowledgement sent to German Pacenza <germanp82@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58396; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Oct 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.